Package org.silverpeas.components.gallery.constant

# Class GalleryResourceURIs

java.lang.Object
org.silverpeas.components.gallery.constant.GalleryResourceURIs

public final class GalleryResourceURIs extends Object
Base URIs from which the REST-based ressources representing gallery entities are defined.

Author:
  Yohann Chastagnier

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `GALLERY_ALBUMS_URI_PART`
  `static final String`
  `GALLERY_BASE_URI`
  `static final String`
  `GALLERY_MEDIA_CONTENT_PART`
  `static final String`
  `GALLERY_MEDIA_EMBED_PART`
  `static final String`
  `GALLERY_MEDIA_THUMBNAIL_PART`
  `static final String`
  `GALLERY_PHOTO_RESOLUTION_PARAM`
  `static final String`
  `GALLERY_PHOTOS_PART`
  `static final String`
  `GALLERY_SOUNDS_PART`
  `static final String`
  `GALLERY_STREAMING_PROVIDER_DATA_PART`
  `static final String`
  `GALLERY_STREAMINGS_PART`
  `static final String`
  `GALLERY_VIDEOS_PART`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static URI`
  `buildAlbumURI(AlbumDetail album)`
  Centralized the build of an album URI.
  `static URI`
  `buildAlbumURI(org.silverpeas.core.node.model.NodePK albumPk)`
  Centralized the build of an album URI.
  `static URI`
  `buildMediaContentURI(Media media, MediaResolution mediaResolution)`
  Centralized the build of a media content URI according to the specified resolution.
  `static URI`
  `buildMediaEmbedURI(Media media, MediaResolution mediaResolution)`
  Centralized the build of a media embed URI according to the specified resolution.
  `static URI`
  `buildMediaInAlbumURI(AlbumDetail album, Media media)`
  Centralized the build of a media URI contained in a specified album.
  `static URI`
  `buildVideoThumbnailURI(Media media, org.silverpeas.core.io.media.video.ThumbnailPeriod thumbnail)`
  Centralized the build of a video thumbnail URI according to the given ThumbnailPeriod.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### GALLERY_BASE_URI

    public static final String GALLERY_BASE_URI
    See Also:
      - Constant Field Values

  - ### GALLERY_ALBUMS_URI_PART

    public static final String GALLERY_ALBUMS_URI_PART
    See Also:
      - Constant Field Values

  - ### GALLERY_PHOTOS_PART

    public static final String GALLERY_PHOTOS_PART
    See Also:
      - Constant Field Values

  - ### GALLERY_PHOTO_RESOLUTION_PARAM

    public static final String GALLERY_PHOTO_RESOLUTION_PARAM
    See Also:
      - Constant Field Values

  - ### GALLERY_VIDEOS_PART

    public static final String GALLERY_VIDEOS_PART
    See Also:
      - Constant Field Values

  - ### GALLERY_SOUNDS_PART

    public static final String GALLERY_SOUNDS_PART
    See Also:
      - Constant Field Values

  - ### GALLERY_MEDIA_CONTENT_PART

    public static final String GALLERY_MEDIA_CONTENT_PART
    See Also:
      - Constant Field Values

  - ### GALLERY_MEDIA_EMBED_PART

    public static final String GALLERY_MEDIA_EMBED_PART
    See Also:
      - Constant Field Values

  - ### GALLERY_STREAMINGS_PART

    public static final String GALLERY_STREAMINGS_PART
    See Also:
      - Constant Field Values

  - ### GALLERY_MEDIA_THUMBNAIL_PART

    public static final String GALLERY_MEDIA_THUMBNAIL_PART
    See Also:
      - Constant Field Values

  - ### GALLERY_STREAMING_PROVIDER_DATA_PART

    public static final String GALLERY_STREAMING_PROVIDER_DATA_PART
    See Also:
      - Constant Field Values

- ## Method Details

  - ### buildAlbumURI

    public static URI buildAlbumURI(AlbumDetail album)
    Centralized the build of an album URI.
    Parameters:
      `album` - the album.
    Returns:
      the computed URI.

  - ### buildAlbumURI

    public static URI buildAlbumURI(org.silverpeas.core.node.model.NodePK albumPk)
    Centralized the build of an album URI.
    Parameters:
      `albumPk` - the album.
    Returns:
      the computed URI.

  - ### buildMediaInAlbumURI

    public static URI buildMediaInAlbumURI(AlbumDetail album, Media media)
    Centralized the build of a media URI contained in a specified album.
    Parameters:
      `album` - the album that contains the media.
      `media` - the media.
    Returns:
      the computed URI.

  - ### buildMediaContentURI

    public static URI buildMediaContentURI(Media media, MediaResolution mediaResolution)
    Centralized the build of a media content URI according to the specified resolution.
    Parameters:
      `media` - the media.
      `mediaResolution` - the requested resolution.
    Returns:
      the computed URI.

  - ### buildMediaEmbedURI

    public static URI buildMediaEmbedURI(Media media, MediaResolution mediaResolution)
    Centralized the build of a media embed URI according to the specified resolution.
    Parameters:
      `media` - the media.
      `mediaResolution` - the requested resolution.
    Returns:
      the computed URI.

  - ### buildVideoThumbnailURI

    public static URI buildVideoThumbnailURI(Media media, org.silverpeas.core.io.media.video.ThumbnailPeriod thumbnail)
    Centralized the build of a video thumbnail URI according to the given ThumbnailPeriod.
    Parameters:
      `media` - the media.
      `thumbnail` - the thumbnail period.
    Returns:
      the computed URI.